Bug 12748 - Отсутствует в меню
: Отсутствует в меню
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/qtemu)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2007-09-11 17:25 by
Modified: 2007-12-20 01:23 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2007-09-11 17:25:37
$ rpm -q qtemu
qtemu-1.0.3-alt1

Хотя и:

~$ rpm -ql qtemu G 'menu|desktop'
/usr/share/applnk/qtemu.desktop


Но update-menu (из menu-2.1.35-alt1, смотрю "-v -d") в /us/sha/applnk
desktop-файлы не ищёт. Имхо, qtemu.desktop надо класть в /us/sha/applications.
Даже вот ведь как:

~$ rpm -qf /usr/share/applnk
предупреждение: файл /usr/share/applnk не принадлежит ни одному из пакетов
И там кроме этого файла ничего полезного.
------- Comment #1 From 2007-09-12 06:29:33 -------
Кроме того, srpm-пакет при сборке у меня даже не потребовал жёстко
kde-common-devel (Где, надо думать, и определяется %_Kapplnk), прописанный в
спеке. Также, видимо, для сборки "не нужны" и libqt4-devel, cmake -
обрабатывается лишь первый тэг BuildRequires:.

ИМХО, и не надо собирать с кедными макросами.

Починил, почистил спек, выложил в виде -alt2 у себя в гите.
------- Comment #2 From 2007-09-12 06:46:24 -------
Desktop-файл там кстати тоже сломанный, desktop-file-validate на него ругается
и
из него у меня ничего не генерилось (IceWM). Также починил в гите.
------- Comment #3 From 2007-09-12 06:58:30 -------
Плюс нет post|postun скриптов для обновления меню. В гите починил.
------- Comment #4 From 2007-09-12 17:39:42 -------
merged and added 1.0.4
fixed in qtemu-1.0.4-alt1